
Redmine - Patch #22291

Link Category in the issue page to all open issues from that project with the same category

2016-03-20 20:30 - Marius BĂLTEANU

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

The attached patch makes the category attribute from the issue page linkable to all open issues from that project (and subprojects)

that have the same category (the same type of link exists in the summary report page)

This feature is an useful shortcut for users when you're on an issue and you want to view all other open issues.

Before patch:

 before.png 

After patch:

 after1.png 

History

#1 - 2016-03-20 20:34 - Marius BĂLTEANU

I can add tests for the patch if it'll be accepted.

#2 - 2016-04-19 02:59 - Toshi MARUYAMA

- File after.png added

- File before.png added

#3 - 2016-04-19 03:00 - Toshi MARUYAMA

- Description updated

#4 - 2016-04-19 03:01 - Toshi MARUYAMA

- File deleted (Screen Shot 2016-03-20 at 21.20.03.png)

#5 - 2016-04-19 03:01 - Toshi MARUYAMA

- File deleted (Screen Shot 2016-03-20 at 21.22.28.png)

#6 - 2016-04-19 03:07 - Toshi MARUYAMA

- File after1.png added

- Description updated

#7 - 2016-04-19 03:08 - Toshi MARUYAMA

- File deleted (after.png)

#8 - 2016-04-19 09:43 - Marius BĂLTEANU

Thanks Toshi MARUYAMA for updating the description.

#9 - 2016-09-05 23:59 - Go MAEDA

- Target version set to Candidate for next major release

#10 - 2018-08-21 23:42 - Marius BĂLTEANU

- File 0001-Render-category-in-issue-page-as-a-link-to-all-open-.patch added

- Description updated

2025-05-01 1/2



Updated the patch in order to:

- apply cleanly on the current trunk

- remove the subproject filter

- add a test for this feature.

I still think that this feature is quite useful.

Files

link_category_in_issue_page.patch 1.12 KB 2016-03-20 Marius BĂLTEANU

before.png 25.5 KB 2016-04-19 Toshi MARUYAMA

after1.png 122 KB 2016-04-19 Toshi MARUYAMA

0001-Render-category-in-issue-page-as-a-link-to-all-open-.patch 2.2 KB 2018-08-21 Marius BĂLTEANU
